Subject: Re: [patch 29/30] PS3: Device tree source.

From: Geoff Levand <[email-masked]>
Date: Wed, 13 Jun 2007 10:36:12 -0700

Segher Boessenkool wrote:
>>> Please read up on what those properties mean exactly.
>>
>> Yes, do that before the inital release.
>>
>> currently name contains ''
>> currently compatible contains 'PS3PF'
>> currently model contains 'PLAYSTATION 3'
>>
>> Now, do not break the userspace ABI.
> 
> The device tree is not a userspace ABI.  Since
> in this case it is built into the kernel image
> (is it, actually?) there is no breakage between
> firmware and kernel versions, either.
> 
>> If there is really an urge to break it,
> 
> Break what?  It's just a bugfix.

This is the first time I am submitting the PS3 device tree
for inclusion in the mainline kernel, so there is no breakage
or even bugfix, just new code.

I understand that Olaf would like to match what the out-of-tree
2.6.16 legacy kernel port did, but that port was never accepted
nor even recognized by the Linux community.  I do not plan to
keep compatibility with that work in the mainline linux kernel.
Correctness will always take precedence over compatibility
in the mainline kernel. I will maintain what patches I can to
ease the transition from the legacy kernel to the mainline
kernel in the 'ps3-hacks' directory of my ps3-linux-patches.git
repository.  I will not submit those patches for mainline
inclusion though. I'm sorry for any inconvenience.

-Geoff